Les développeurs oublient Leopard… et le PPC

Nicolas Furno |
Alors que la prochaine version de Mac OS X est attendue pour l'été, les développeurs commencent à oublier Mac OS X Leopard (10.5). L'abandon de cette plateforme était prévisible, mais Le Mac App Store a très largement accéléré cette tendance.

La boutique d'applications n'étant disponible que sur Snow Leopard, toutes les applications qui s'y trouvent sont compatibles uniquement avec Snow Leopard. La seule solution si un développeur ne veut pas abandonner Leopard est alors de proposer sur son site une version alternative. Outre qu'il faut alors prévoir un espace de stockage et de la bande passante pour cette deuxième version, ce choix implique également de gérer une boutique dans le cas de logiciels payants.

Ecoute (6,99 €), logiciel de lecture musicale qui se base sur la bibliothèque musicale iTunes, mais avec une interface allégée, abandonnera Leopard lors de la prochaine mise à jour. La version 2.0.6 actuelle restera disponible pour les utilisateurs de Leopard (3,6 Mo), mais la 2.0.7 sera compatible uniquement avec Snow Leopard. La raison est simple : les différences entre Leopard et Snow Leopard sont trop importantes, notamment sur le plan de l'interface, pour que le développeur puisse maintenir les deux versions. En contrepartie, Ecoute 2.1 devrait bénéficier de plusieurs nouvelles fonctions, notamment un mode plein écran pour Lion.

http://static.igen.fr/img/2011/4/skitched-20110407-154955.jpg

Autre annonce récente de l'arrêt du support de Leopard, l'éditeur français app4mac. Sur son compte Twitter, l'éditeur explique que Mac OS X 10.5 ne sera plus supporté à partir du mois de juin. Leurs applications seront, du coup, compatibles uniquement avec les processeurs Intel. Ce n'est pas vraiment une surprise, mais l'arrêt a été avancé par rapport à ce que prévoyait l'éditeur (lire : Mac App Store : ventes, tarifs, micro-applications… l'avis des développeurs).

http://static.igen.fr/img/2011/4/skitched-20110407-155832.jpg

Avec la fin du support de Leopard, les développeurs abandonnent aussi les processeurs PPC, Mac OS X 10.6 n'étant compatible qu'avec les processeurs Intel. Les premiers Mac équipés de processeurs Intel sont sortis il y a maintenant cinq ans.

avatar elamapi | 
Il est "un peu" normal que les petits développeur indépendant abandonnent les vieilles version. Ca demande pas mal de temps et d'argent pour maintenir plusieur branche de code.
avatar kassk8 | 
écoute ??? Quelqu'un peut il tenter de m'expliquer à quoi il sert celui ci ??
avatar the_nuru | 
vu que les évolutions entre snow leopard et leopard sont majeurs d'un point de vue language il est en effet normal que certaines sociétés préfèrent optimiser sur l'os recent que de faire du multiversioning avec les coups que cela implique
avatar nooty | 
@ kassk8 : De quoi tu parles petit?
avatar Eurylaime | 
Abandonner le PowerPC ça parait "logique" mais Leopard c'est discutable.
avatar stratovirus | 
Non, ce n'est pas normal ! c'est perdre du même coup un gros potentiel de clients, ceux sur SL, si ma mémoire est bonne ne font même pas la moitié de Tiger et Léo réunis, et si on comptabilise les premiers OS X, SL ne fait que 20 % des users ! (voir le sondage Mac G à ce sujet)
avatar julmomo | 
@stratovirus : si le sondage Mac G le dit ;). je pense que le taux d'adoption de SL est bien plus important que 20%... étant donné l'évolution du volume des ventes, la bonne tenue des machines dans le temps avec les OS qui sortent et le prix de SL, ça m'étonnerait fortement qu'on ne soit qu'à 20% du parc de macs. enfin bon, après je peux me tromper :)
avatar ErGo_404 | 
Apple est à ce point incapable de fournir une bibliothèque de développement compatible entre toutes les versions de leur OS ou c'est juste les devs qui sont fainéants ? Autant pour un logiciel exploitant les dernières API je comprends, autant un logiciel de lecture de MP3 devrait pouvoir être codé et fonctionner sur de nombreuses versions de l'OS sans pour autant que ça soit trop "compliqué". Quand aux changements de l'interface entre Leopard et Snow Leopard, je trouve que c'est vraiment foireux comme excuse s'ils parlent bien de l'interface graphique, cette dernière n'ayant franchement pas évolué enter les deux versions.
avatar Thorent | 
@ stratovirus : Le sondage disait que 20% étaient arrivés sur Mac avec SL mais ça ne veut pas dire que les autres n'ont pas fait d'update, ce qui donne très certainement une part très forte de SL. Le tarif de SL facilite l'update en plus, et pour ceux sur PPC, 5 années de suivi de la part des devs indépendant c'est déjà pas mal si on prend en compte la durée de vie moyenne des machines.
avatar KillerDid | 
Les gens qui achètent des macs étant souvent présentés comme des gens qui ne veulent pas se compliquer l'informatique, je doute fortement qu'ils s'intéressent aux mises à jour de leur système d'exploitation... Du moins les payantes. D'où la non mise à jour massive. Le problème est le même chez Microsoft, windows 7 ne représente que 20-25% de toutes les machines, qd XP est toujours à 50%. Pourquoi payer pour changer qqch qui marche bien?
avatar omega2 | 
A lire le premier paragraphe, je me demande ou est le problème. Les boites qui vendaient un logiciel avant le "mac app store" avaient déjà mis en place tout ça. Quand à ceux qui sont arrivé après le lancement du "mac app store", il y avait dès le départ peu de chance qu'ils sortent une version PPC. Pour ceux là il aurait au moins fallut qu'ils aient un mac PPC et donc qu'ils soient sur mac depuis deux ans à la sortie de l' "app store" iphone. Hors s'ils n'avaient pas fait de programme mac avant c'est uniquement par ce qu'ils n'étaient venu sur mac que pour l'Iphone et donc après l'arrêt des mac PPC. ErGo_404 > Pour les players MP3, as tu besoins du dernier effet graphique qui rend le logiciel incompatible avec ton OS? C'est pas comme si aucune version n'avait été compatible ou s'il n'y avait aucun autre logiciel qui fasse pareil et qui soit compatible.
avatar Thorent | 
@ KillerDid : Mais où est ce dit qu'il y a eu une non mise à jour massive ?
avatar Tronculaire | 
@ julmomo : +1 j ai changé mon powerbook ppc et fait une reinstall ainsi que mon iMac G4 800, ok plus de maj ou de nouveaux softs, mais ils tournent et font ce qu il faut sous Leopard! Maintenant place a la nouveauté et à l optimisation pour mon Air merci aux dev et à la politique intelligente d Apple de forcer les dev regulierement (et non les utilisateurs qui il y a 5 ans ne pensaient pas trouver des Intel dans leur Mac) Pareil pour mon 3GS, pour memoire, avant je n avais jamais fait ni meme songé à faire de maj de mon tel donc un support de 3ans est un bon deal
avatar LossId | 
Ouais et je me souviens que App4Mac disait : 'nos mise à jour sont GRATUITE A VIE'... Ils ont oublié la mention, A CONDITION QUE VOTRE SYSTEME SOIT A JOUR... (bien sur, je ne parle pas d'un système qui as 10 ans, mais Léopard n'est quand même pas si vieux, surtout si on le compare à la vie d'un certain XP). Bravo !!! Enfin c'est pas la peine de venir lire les réponses des lecteurs et ce défendre bec et ongles en sachant très bien que ce genre de choses est limite de l'arnaque... Et au passage, je doute fortement qu'ils faillent des ingénieurs pour faire des App comme SecretBox... Pour d'autres, ok mais pour celle-ci... Hum...
avatar multips | 
Salut à tous! Je ne comprends pas cette phrase: "La raison est simple : les différences entre Leopard et Snow Leopard sont trop importantes, notamment sur le plan de l'interface, pour que le développeur puisse maintenir les deux versions". Mais quelles sont ces différences?
avatar app4mac.com | 
LossID, l'encryption AES sur 256 bits, c'est tres complexe et peu d'ingénieurs savent maitriser le sujet. Quand a qualifier l'abandon d'anciennes configurations d'arnaque, c'est un peu fort! Leopard a presque maintenant 4 ans. Dans l'informatique, après 3 ans, un ordinateur devient un dinosaure. Meme Apple abandonne le support d'anciennes configurations au bout d'un certain temps.
avatar app4mac.com | 
Les différences de l'API entre Leopard et Snow Leopard sont très importantes, Apple ayant fais de très nombreux changements qui ne sont pas visibles pour les utilisateurs, mais seulement pour les développeurs. Tester une application sur trois versions de système (Leopard, Snow Leopard, Lion) prend énormément de temps car il faut modifier l'application pour chaque version. Soit on garde des prix élevés pour compenser ce temps de développement, soit on baisse nos prix pour rendre nos logiciels plus abordables et donc on élimine Leopard. On a choisi la deuxième voie.
avatar Eaglelouk (non vérifié) | 
@Ergo_404: j'abandonne leopard parce que ça demande du temps, temps dont je ne dispose pas assez. Je bosse mes soirs et WE dessus, en plus de mon "vrai" boulot a plein temps
avatar LossId | 
@ app4mac.com : AES256, ok mais on ne passe pas par une API pour ça ? Je pensais que c'était plus ou moins facile grâce à ce genre de mise à disposition pour les DEV... Dans ce cas, ok, je m'en excuse... Concernant Léopard, ok, 4 ans... Ok, ça commence à faire... Mais bon, déjà Apple n'est pas forcément à prendre en exemple... Surtout pour ce genre de choses... Et sérieusement, je l'achèterais bien votre SecretBox parce que je l'aimais vraiment beaucoup (avant votre rachat) et je le préfère à 1PassWord (bien que pas utilisé depuis longtemps mais bon, j'ai pas était emballé par 1Password). Bref, mais 40 euros (si mes souvenirs sont bon... plus l'App pour iOs, ça douille)... PS : vous allez baisser les prix ? :) PS2 : Non mais j'hallucine, vous avez carrément baissé le prix... :D PS3 : ce qui me faisait royalement **** c'est le prix de SecretBox... Et je trouvais vos arguments (il y'a quelques mois) légèrement exagéré... Mais bon, vous gagnez votre pain avec et dans un sens c'est normal et compréhensif... Là, vous avez (enfin ?) changé de politique et vous avez vu vos prix à la baisse (et de beaucoup, en tout cas pour SecretBox)... Je ne peux qu'applaudir et vous dire 'merde', dans le bon sens du terme. Bref, j'aurais qu'une seulle question, peut on importer dans SecretBox des données venant de Wallet ? Si oui, j'achète, sinon je vais y réfléchir mais je l'aime vraiment ce SecretBox !!!
avatar Pattedechat | 
A chaque annonce de ce type il y a toujours une bande de grincheux pour crier au scandale. Mais cela a déjà été dis plusieurs fois : à la sortie d'un nouvel OS votre "ancien" OS n'arrête pas de fonctionner pour autant. La politique d'Apple ne me semble pas mauvaise, toujours aller de l'avant sans avoir à se trimbaler de trop lourds soucis de compatibilité.
avatar app4mac.com | 
Oui, on peut importer les données de Wallet et merci pour le M....e
avatar Anonyme (non vérifié) | 
Pas pour pinailler mais enfin, 10.5 c'est trois ans et demi et pas quatre, il est sorti le 27 octobre 2007. Quoiqu'il en soit, les machines 10.5 only sont des Macs PPC et tous sont obsolètes selon la nomenclature Apple. PPC is out. Sur Intel le passage à Snow coute 29€.
avatar nicogala | 
29€ plus 70€ à peu près... le prix de l'upgrade de RAM pour l'ogre SL...
avatar LeConcombreMaske | 
[quote=app4mac.com]...Dans l'informatique, après 3 ans, un ordinateur devient un dinosaure...[/quote] Ben non, pas d'accord, j'ai acheté un MBP 15" il y a environ 2 ans en investissant pas loin 1700 €. Son prédécesseur, un iBook 12" fonctionne toujours parfaitement bien (bon, la batterie a récemment rendu l'âme c'est vrai) après presque 6 ans de bons et loyaux services et je ne parle pas de l'iMac toujours vaillant (sous Tiger aujourd'hui comme l'iBook) depuis... 1999 !. Voilà ce que j'explique quand on me demande pourquoi j'achète des mac (enfin, 1 mac tous les 5 ans), sans vouloir cracher en l'air et relancer une fois de plus le vieux débat, et pour en avoir "usé" plusieurs, un PC (portable), après 3 ans, il faut sérieusement commencer à jeter un oeil sur les promos (on trouve des config "intéressantes" autour de 400 / 500 €). Pour revenir à mon MBP, il m'a été livrée avec Leopard. Rien à dire, je suis un utilisateur pleinement satisfait. Mais il est hors de question pour moi de faire une mise à jour vers SL. Les softs ne sont plus compatibles Léopard... dommage... mais pas forcément pour moi. Dernier point, je pense que le % de SL ne dépasse pas les 40%... ce qui laisse quand même pas mal de macuser "sur le bord de la route" avec leurs machine plus compatibles...
avatar NikonosV | 
repasser à la caisse pour les applis qu'on a achetées avec comme raison le mode plein écran :D révolutionnaire :D faut payer lion en plus pour ça :D
avatar ErGo_404 | 
[quote]omega2 [07/04/2011 16:52] A lire le premier paragraphe, je me demande ou est le problème. Les boites qui vendaient un logiciel avant le "mac app store" avaient déjà mis en place tout ça. Quand à ceux qui sont arrivé après le lancement du "mac app store", il y avait dès le départ peu de chance qu'ils sortent une version PPC. Pour ceux là il aurait au moins fallut qu'ils aient un mac PPC et donc qu'ils soient sur mac depuis deux ans à la sortie de l' "app store" iphone. Hors s'ils n'avaient pas fait de programme mac avant c'est uniquement par ce qu'ils n'étaient venu sur mac que pour l'Iphone et donc après l'arrêt des mac PPC. ErGo_404 > Pour les players MP3, as tu besoins du dernier effet graphique qui rend le logiciel incompatible avec ton OS? C'est pas comme si aucune version n'avait été compatible ou s'il n'y avait aucun autre logiciel qui fasse pareil et qui soit compatible.[/quote] Ben non justement, je considère que les players MP3 devraient pouvoir fonctionner sur plusieurs OS quitte à désactiver certains effets, mais je considère surtout que c'est pas au développeur de gérer ça, c'est au système d'être rétrocompatible. [quote]eaglelouk [07/04/2011 18:30] via MacG Mobile @Ergo_404: j'abandonne leopard parce que ça demande du temps, temps dont je ne dispose pas assez. Je bosse mes soirs et WE dessus, en plus de mon "vrai" boulot a plein temps[/quote] CF ce que je viens de dire, si ça prend vraiment beaucoup de temps je comprends tout à fait, mais un OS bien fait doit garder une couche de compatibilité et donc il suffit en théorie de développer pour, mettons, Leopard pour être assuré que ça tourne aussi sur Snow Leopard. Dans l'idéal les API du nouvel OS devraient aussi être proposées sur l'ancien, CF le framework .NET, qui permet à des applis développées avec la dernière API de correctement tourner même sur XP, qui commence à être sacrément vieux.
avatar Buf000 | 
ErGo_404, ta comparaison avec Windows n'est vraiment pertinente. On trouve exactement les mêmes problèmes chez les OS de Microsoft (deux exemples : DirectX 10 disponible seulement pour Vista et 7, Internet Explorer 9 qui ne tourne pas sur XP parce qu'il utilise des API non disponibles sur ce système) La différence, c'est que dans le monde Windows, l'inertie est beaucoup plus grande qu'avec le Mac, et l'impopularité de Vista n'a rien arrangé. Résultat : XP garde une part de marché ridiculement grande pour un OS de cet âge, et c'est commercialement risqué pour un développeur de décider de le laisser de côté. Ça peut donner l'illusion que XP n'est pas encore dépassé, mais c'est au prix d'un travail supplémentaire conséquent du côté des développeurs.
avatar ericb2 | 
Dans les stats de téléchargements d'OOo4Kids et d'OOoLight, sur un grand nombre de téléchargements ( voir http://download.ooo4kids.org), on trouve 1 version Mac PowerPC téléchargée pour 5 versions pour Mac Intel. Cela semble signifier, a priori, que 16,7% environ, des machines qui utilisent OOo4Kids, le font sur architecture de type PowerPC. Donc il en reste :-)
avatar jj.dr | 
Oui il en reste... Les mac ont une longévité reconnue et réelle sans devenir pour autant des dinosaures Mais néanmoins il est compréhensible qu'un dev (que je ne suis pas) ne fasse pas sa roadmap sur 20% du marché... Et après tout si on garde un os de 3-4 ans (ce que je fais aussi) on peut avoir les softs correspondant non ? At least I do it...
avatar Thorent | 
@ ericb2 : Bah ils ont toujours ce logiciel apparemment donc pas de soucis ! C'est pas parce que les nouvelles apps sont incompatibles que les anciennes le sont également ^^ Si on a été satisfait pendant 5 ans des possibilités de son matériel, pourquoi ne plus l'être une fois que le dev ralenti, l'ordi va pas tomber en panne s'il ne passe pas le cap de la 2.x.y d'un software!
avatar Florian Innocente | 
Test 2.5
avatar pat3 | 
je trouve quand même un peu exagéré les gens qui viennent ici nous dire ce que doit faire un bon OS… Parce qu'évidemment, vous en avez développé un? C'est vrai qu'on a été mal habitué sous Mac, avec des itérations de l'OS toujours compatibles sans effort de Mac OS 7 à 9 (pas toutes, quand même). C'est vrai qu'Apple a particulièrement soigné sa transition vers OS X avec Carbon. Mais il est clair qu'Apple piaffe d'impatience en attendant d'implémenter les bonnes idées d'iOS dans Mac OS. Et il est aussi clair que le renouvellement des machines est beaucoup plus fréquent sous Intel que sous PPC. Mais on râlait beaucoup, sous PPC, que les machines n'avançaient pas, ou bien? Et enfin: qu'est-ce qui vous oblige à suivre les avancées? Tant que les logiciels anciennes versions fonctionnent et lisent les fichiers créés par les nouvelles versions, pas de problème… Et si en plus ces logiciels ne créent pas de fichiers, on peut rester tranquille dans son ancienne version. Bon, c'est vrai, faut pas lire les sites de news mac qui ne te parle que de la version qui n'est pas encore sortie ;-)
avatar app4mac.com | 
Pour vous donner des indications, 89% de nos clients ont un Mac avec Snow Leopard et 3% sont sur PowerPC.
avatar app4mac.com | 
Autres indications pratiques: pour compiler une application, il fallais 5 a 7 minutes il y a 4 ans. Puis c'est tombé a moins d'une minute et maintenant avec les récents Core i7, il faut 2 secondes pour compiler une application. Le temps gagné avec une configuration récente est considérable. Ok, on peut encore utiliser un vieux ordinateur mais vous n'avez pas idée du temps que vous perdez ! Essayez de changer les marges sur un document de 170 pages avec Pages sur un ordinateur de 3 ans et sur un de cette année et vous verrez la différence. C'est plus que spectaculaire et ca c'est du concret.
avatar hogs | 
Le MacAppStore à juste la capacité de réduire l'offre de logiciel pour les Macs antérieurs à SL par les facilités qu'il offre aux petits développeurs (hébergement, visibilité, etc...). A terme, cela réduit la logithèque disponible. Lorsque mon 12" G4 sera définitivement mort, je ne retournerai pas sur Apple pour la partie ordinateur. La façon dont Apple a décidé de gérer la durée de vie de son matériel interconnecté via iTunes est juste insuportable. Un utilisateur a plus de chance de pérenniser ses iBidules en les branchant à Windows qu'à un Mac. C'est tout de même un comble !
avatar nicogala | 
@app4mac.com : Dépenser 1500€ tous les 3 ans c'est plus que spectaculaire, et moi je ne peux pas me le permettre (et ça c'est du concret) ;)
avatar ErGo_404 | 
[quote]Buf000 [07/04/2011 20:53] ErGo_404, ta comparaison avec Windows n'est vraiment pertinente. On trouve exactement les mêmes problèmes chez les OS de Microsoft (deux exemples : DirectX 10 disponible seulement pour Vista et 7, Internet Explorer 9 qui ne tourne pas sur XP parce qu'il utilise des API non disponibles sur ce système) La différence, c'est que dans le monde Windows, l'inertie est beaucoup plus grande qu'avec le Mac, et l'impopularité de Vista n'a rien arrangé. Résultat : XP garde une part de marché ridiculement grande pour un OS de cet âge, et c'est commercialement risqué pour un développeur de décider de le laisser de côté. Ça peut donner l'illusion que XP n'est pas encore dépassé, mais c'est au prix d'un travail supplémentaire conséquent du côté des développeurs.[/quote] DirectX n'est utilisé que dans des cas particuliers (2D/3D, son ?), et DirectX 11 est arrivé pour, si je me souviens bien, assurer la rétro compatibilité avec DirectX 9. Techniquement tu peux donc développer sur DirectX 9 et ça tournera sur tous les OS depuis XP à 7. Quand à .Net c'est le même principe à peu près, tu peux développer sur tous les OS. Qu'est-ce qui empêche Apple d'ajouter de nouvelles API dans SL tout en gardant les anciennes pour la compatibilité ? Et donc qu'est-ce qui empêche les devs de programmer pour Leopard tout en sachant pertinemment que leur programme sera de ce fait également compatible avec SL ?
avatar expertpack | 
@ leConcombreMaske : Mais non, un pc de 4 ou 5 ans marche tres bien. Xp est stable et tout va bien. Pour 90% des utilisateurs c'est une fenetre sur le web, la lecture des mails , un peu de bureautique ( office) , les photos de famille et quelques video/ musique. Un pc discount a 400€ fait cela parfaitement
avatar LeConcombreMaske | 
[quote=app4mac.com]Pour vous donner des indications, 89% de nos clients ont un Mac avec Snow Leopard et 3% sont sur PowerPC.[quote] Mouhahaha, celle là est vraiment excellente... mon voisin, qui travaille dans un "centre auto" (personne n'est parfait) me disait l'autre jour : "87% des crevaisons que nous réparons concernent les pneus avant, 10 % les pneus arrière gauche, nous avons donc décidé de ne plus réparer les pneus arrière droit...... [quote=expertpack]Mais non, un pc de 4 ou 5 ans marche tres bien. Xp est stable et tout va bien. Pour 90% des utilisateurs c'est une fenetre sur le web, la lecture des mails , un peu de bureautique ( office) , les photos de famille et quelques video/ musique. Un pc discount a 400€ fait cela parfaitement[quote] c'est exactement ce que j'ai dit, en connaissance de cause, j'ai parlé de portable (qui voyagent, qui "souffrent", dont la batterie commence à vraiment tirer la langue...) pour lesquels donc il faut généralement commencer à envisager sérieusement le remplacement après 3 ans... j'ai bien parlé de machines à 300 / 400 € ce qui induit une utilisation bureautique, photos, Internet...
avatar LeConcombreMaske | 
arf, les balises "quote" se sont emmêlés les pinceaux, et pas moyen d'éditer... désolé !
avatar app4mac.com | 
LeConcombreMaske, un pneu fonctionne sur toutes les voitures ce qui n'est pas le cas d'une application. Une application optimisée pour Snow Leopard ne pourra pas tourner sur Leopard ou Tiger. On ne peut pas comparer ce qui n'est pas comparable.
avatar rva1mac | 
Avant les Mac étaient une valeur sûre mais maintenant les Mac d'occasion ne valent plus un clou à cause cette pénurie de soft provoquée par le non support du PPC puis du non support de App store par Leopard. Tout ça en même pas 2 versions majeures de l'OS ! Le Mac est devenu une machine pour Geek. :(

CONNEXION UTILISATEUR